services:
  farm_cft.assessment:
    class: Drupal\farm_cft\CFTAssessment
    arguments: ['@database', '@datetime.time', '@farm_cft.cft_client']
  farm_cft.cft_client_factory:
    class: Drupal\farm_cft\CFTClientFactory
    arguments: ["@config.factory"]
  farm_cft.cft_client:
    class: Drupal\farm_cft\CFTClient
    factory: farm_cft.cft_client_factory:getAuthenticatedClient
